GET /destinations

Authentication

API Key (header: X-API-Key) API Key (cookie: better-auth.session_token)

Query Parameters

org_id string optional query
env_id string optional query
status string optional query
type string optional query

Responses

200 List of destinations
application/json
destinations object | null[] REQUIRED
Array of:
id string REQUIRED
org_id string REQUIRED
env_id string REQUIRED
name string REQUIRED
slug string REQUIRED
url string REQUIRED
method string REQUIRED
headers string | null REQUIRED
timeout_ms integer REQUIRED
auth_type string REQUIRED
auth_config string | null REQUIRED
status string REQUIRED
event_count integer REQUIRED
last_delivery_at string | null REQUIRED
created_at string REQUIRED
updated_at string REQUIRED
retry_enabled integer | null REQUIRED
retry_max_attempts integer | null REQUIRED
retry_backoff_type string | null REQUIRED
retry_intervals string | null REQUIRED
circuit_breaker_enabled integer | null REQUIRED
circuit_breaker_threshold integer | null REQUIRED
circuit_breaker_reset_ms integer | null REQUIRED
type string REQUIRED
provider_config string | null REQUIRED
401 Unauthorized
curl -X GET 'https://hookstream.io/v1/destinations' \
  -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://hookstream.io/v1/destinations', {
  method: 'GET',
  headers: {
      "Authorization": "Bearer YOUR_API_TOKEN"
  }
});

const data = await response.json();
console.log(data);
import requests

headers = {
    'Authorization': 'Bearer YOUR_API_TOKEN'
}

response = requests.get('https://hookstream.io/v1/destinations', headers=headers)
print(response.json())
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	req, _ := http.NewRequest("GET", "https://hookstream.io/v1/destinations", nil)
	req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")

	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
	result, _ := io.ReadAll(resp.Body)
	fmt.Println(string(result))
}
200 Response
{
  "destinations": [
    {
      "id": "<string>",
      "org_id": "<string>",
      "env_id": "<string>",
      "name": "<string>",
      "slug": "<string>",
      "url": "<string>",
      "method": "<string>",
      "headers": "<string>",
      "timeout_ms": 123,
      "auth_type": "<string>",
      "auth_config": "<string>",
      "status": "<string>",
      "event_count": 123,
      "last_delivery_at": "<string>",
      "created_at": "<string>",
      "updated_at": "<string>",
      "retry_enabled": 123,
      "retry_max_attempts": 123,
      "retry_backoff_type": "<string>",
      "retry_intervals": "<string>",
      "circuit_breaker_enabled": 123,
      "circuit_breaker_threshold": 123,
      "circuit_breaker_reset_ms": 123,
      "type": "<string>",
      "provider_config": "<string>"
    }
  ]
}
GET /destinations
Ask a question... ⌘I